CC = armcc
CFLAGS = -DSOUND -DCOLEM -DLSB_FIRST -O2 -Otime -Oinline -cpu ARM920T -Wb -zc -Igpstd -I../SDK_All_in20030130/lib/gp/gplib/include

OBJS = gpstd/font.o target/gpstart.o gpstd/gpstd.o gp32.o Coleco.o SN76489.o Z80.o gpfilereq.o gpsoundbuf.o

all: colem.gxb

colem.gxb: colem.elf
	fromelf -bin -output colem.gxb colem.elf

colem.elf: $(OBJS)
	armlink -info totals -strict -remove -scan -ro-base 0x0c000000 -output colem.elf -first "init.o(init)" -entry "init.o(init)" \
	../SDK_All_in20030130/lib/gp/gplib/gplibads/debug/gp*.a ../SDK_All_in20030130/lib/gp/gplib/gplibads/gp_entry_Data/Debug/ObjectCode/init.o \
	target/user_init_ads.o $(OBJS)

clean:
	rm -f $(OBJS)
