#include <gpstd.h>
#include <gpstdio.h>
#include <string.h>

int wherex=0;
int wherey=0;
char buf[80];

extern GPDRAWSURFACE gpDraw[2];
extern int gpDrawFlip;

void print8(int x, int y, const char *s)
{
	GpRectFill(0,&gpDraw[gpDrawFlip],x,y,x+strlen(s)*8,y+14,0xff);
        GpTextOut(NULL, &gpDraw[gpDrawFlip], x, y, (char*)s, 0);
}

void print16( int x, int y, const char* s)
{
	int i,j;
	unsigned short* fb=(unsigned short*)(gpDraw[gpDrawFlip].ptbuffer);
	char c;
	while(*s)
	{
		c=*s-32;
		for(i=0;i<16;i++)
			for(j=0;j<8;j++)
			{
				fb[239-(y+1)*16+i+(x*8+j)*240]=font[((14<<4)-(c&(~15)))*8*16+(c&15)*8+j-(16-i)*8*16]*0xffff;
			}
		s++;
		x++;
	}
}

FILE* gsfopen(const char *path, const char *mode)
{
	int i=-10000000;
	F_HANDLE handle;
	int error;
	while(i++);
	if((error=GpFileOpen(path,OPEN_R,&handle)))
	{
		return 0;
	}
	return (FILE*)handle;
}

int gsfclose(FILE* x)
{
	//print("fclose");
	GpFileClose((F_HANDLE)x);
	return 0;
}

size_t gsfread(void* ptr, size_t size, size_t nmemb, FILE* x)
{
	int read;
	GpFileRead((F_HANDLE)x,ptr,size*nmemb,(ulong*)(&read));
	return read/size;
}

#if 0
int puts(const char* s)
{
	print8(0,0,s);
	return 0;
}

#endif
